// Version 1.3.2 - compiled 020115
// Copyright (c) Skw
// Rotating weapons fix by Bleeder91.

#exec OBJ LOAD FILE=OldWeaponsSounds.uax

class OldMutator expands Mutator;


function bool ReplaceWith(actor Other, string aClassName)
{
	local Actor A;
	local class<Actor> aClass;

	aClass = class<Actor>(DynamicLoadObject(aClassName, class'Class'));
	if ( aClass != None )
		A = Spawn(aClass,,Other.tag,Other.Location, Other.Rotation);
	if ( Other.IsA('Inventory') && Inventory(Other).myMarker != None )
	{
		Inventory(Other).MyMarker.markedItem = Inventory(A);
		if ( Inventory(A) != None )
			Inventory(A).myMarker = Inventory(Other).myMarker;
		Inventory(Other).myMarker = None;
		Inventory(A).bRotatingPickup=Inventory(Other).bRotatingPickup;
	}
	if ( A != None )
	{
		A.event = Other.event;
		A.tag = Other.tag;
		return true;
	}
	return false;
}

auto state DoReplacing
{
	function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
	{
		Level.Game.DefaultWeapon = class'OldWeaponsUT.OldDispersionPistol';

		//weapons
		if( Other.Class==Class'DispersionPistol'&&ReplaceWith(Other,"OldWeaponsUT.OldDispersionPistol"))
			Return False;
     		else if( Other.Class==Class'Botpack.ImpactHammer'&&ReplaceWith(Other,"OldWeaponsUT.OldDispersionPistol"))
			Return False;
     		else if( Other.Class==Class'AutoMag'&&ReplaceWith(Other,"OldWeaponsUT.OldAutoMag"))
			Return False;
     		else if( Other.Class==Class'Botpack.Enforcer'&&ReplaceWith(Other,"OldWeaponsUT.OldAutoMag"))
			Return False;
		else if( Other.Class==Class'Stinger'&&ReplaceWith(Other,"OldWeaponsUT.OldStinger"))
			Return False;
		else if( Other.Class==Class'Botpack.PulseGun'&&ReplaceWith(Other,"OldWeaponsUT.OldStinger"))
			Return False;
		else if( Other.Class==Class'ASMD'&&ReplaceWith(Other,"OldWeaponsUT.OldASMD"))
			Return False;
		else if( Other.Class==Class'Botpack.ShockRifle'&&ReplaceWith(Other,"OldWeaponsUT.OldASMD"))
			Return False;
		else if( Other.Class==Class'Eightball'&&ReplaceWith(Other,"OldWeaponsUT.OldEightball"))
			Return False;
		else if( Other.Class==Class'Botpack.UT_Eightball'&&ReplaceWith(Other,"OldWeaponsUT.OldEightball"))
			Return False;
		else if( Other.Class==Class'FlakCannon'&&ReplaceWith(Other,"OldWeaponsUT.OldFlakCannon"))
			Return False;
		else if( Other.Class==Class'Botpack.UT_FlakCannon'&&ReplaceWith(Other,"OldWeaponsUT.OldFlakCannon"))
			Return False;
		else if( Other.Class==Class'Razorjack'&&ReplaceWith(Other,"OldWeaponsUT.OldRazorjack"))
			Return False;
		else if( Other.Class==Class'Botpack.ripper'&&ReplaceWith(Other,"OldWeaponsUT.OldRazorjack"))
			Return False;
		else if( Other.Class==Class'GESBioRifle'&&ReplaceWith(Other,"OldWeaponsUT.OldGESBioRifle"))
			Return False;
		else if( Other.Class==Class'Botpack.ut_biorifle'&&ReplaceWith(Other,"OldWeaponsUT.OldGESBioRifle"))
			Return False;
		else if( Other.Class==Class'Rifle'&&ReplaceWith(Other,"OldWeaponsUT.OldRifle"))
			Return False;
		else if( Other.Class==Class'Botpack.SniperRifle'&&ReplaceWith(Other,"OldWeaponsUT.OldRifle"))
			Return False;
		else if( Other.Class==Class'Minigun'&&ReplaceWith(Other,"OldWeaponsUT.OldMinigun"))
			Return False;
		else if( Other.Class==Class'Botpack.minigun2'&&ReplaceWith(Other,"OldWeaponsUT.OldMinigun"))
			Return False;

		//other stuff
		else if( Other.Class==Class'Amplifier'&&ReplaceWith(Other,"OldWeaponsUT.OldAmplifier"))
			Return False;
		else if( Other.Class==Class'WeaponPowerUp'&&ReplaceWith(Other,"OldWeaponsUT.OldWeaponPowerUp"))
			Return False;

		if(SkaarjTrooper(Other) != None)
		{
			if(SkaarjTrooper(Other).WeaponType == class'DispersionPistol')
				SkaarjTrooper(Other).WeaponType = class'OldDispersionPistol';
			else if(SkaarjTrooper(Other).WeaponType == class'AutoMag')
				SkaarjTrooper(Other).WeaponType = class'OldAutoMag';
			else if(SkaarjTrooper(Other).WeaponType == class'Stinger')
				SkaarjTrooper(Other).WeaponType = class'OldStinger';
			else if(SkaarjTrooper(Other).WeaponType == class'ASMD')
				SkaarjTrooper(Other).WeaponType = class'OldASMD';
			else if(SkaarjTrooper(Other).WeaponType == class'EightBall')
				SkaarjTrooper(Other).WeaponType = class'OldEightBall';
			else if(SkaarjTrooper(Other).WeaponType == class'FlakCannon')
				SkaarjTrooper(Other).WeaponType = class'OldFlakCannon';
			else if(SkaarjTrooper(Other).WeaponType == class'RazorJack')
				SkaarjTrooper(Other).WeaponType = class'OldRazorJack';
			else if(SkaarjTrooper(Other).WeaponType == class'GESBioRifle')
				SkaarjTrooper(Other).WeaponType = class'OldGESBioRifle';
			else if(SkaarjTrooper(Other).WeaponType == class'Rifle')
				SkaarjTrooper(Other).WeaponType = class'OldRifle';
			else if(SkaarjTrooper(Other).WeaponType == class'Minigun')
				SkaarjTrooper(Other).WeaponType = class'OldMinigun';
		}

		if (Other.Class == Class'Brute' || Other.Class == Class'LesserBrute' || Other.Class == Class'Behemoth')
		{
			if(Brute(Other) != None)
				Brute(Other).RangedProjectile = class'OldBruteProjectile';
		}
		else if (Other.Class == Class'Mercenary' || Other.Class == Class'MercenaryElite')
		{
			if(Mercenary(Other) != None)
				Mercenary(Other).RangedProjectile = class'OldMercRocket';
		}
		else if (Other.Class == Class'Slith')
		{
			if(Slith(Other) != None)
				Slith(Other).RangedProjectile = class'OldSlithProjectile';
		}

     	Return True;
	}
}

defaultproperties
{
}
